textures/ut_superman/duck_flypoint
{
	qer_editorimage textures/superman/duck_green_arrow.tga
	q3map_surfacelight 10
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	qer_trans 0.5
	cull none
	{
		map textures/superman/duck_green_arrow.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 2.3
		alphaFunc GE128
	}
}


textures/ut_superman/tower_noimpactbricks2
{
	qer_editorimage textures/superman/tower_noimpactbricks1.jpg
	surfaceparm nodamage
	{
		map textures/superman/tower_noimpactbricks1.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}


//	q3map_sun 1 1 .9 50 300 75
//	q3map_sun 1 1 .8 75 15 80
//	q3map_sun 1 1 .9 100 40 75

// was 300 82

textures/superman/duck_supermansky
{
	qer_editorimage textures/superman/daysky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 0.95 0.85 0.9 200 40 82 .5 16
	q3map_skylight 150 4
	skyparms env/wilyduck/daysky - -
}


textures/ut_superman/reflect_glass
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	sort additive
	portal
	qer_trans 0.5
//	q3map_backshader textures/superman/shiny_glass1

//	{
//		map textures/superman/duck_transparent.tga
//		blendfunc filter
//	}

	{
		map textures/effects/tinfx.tga
		depthwrite
		tcGen environment
		blendfunc filter
	}
}



textures/superman/shiny_glass2
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_superman/duck_greenmarble_floor
{
	qer_editorimage textures/urban_will2/will_marble_floor.tga


	{
		map textures/urban_will2/will_marble_floor.tga
		rgbgen identity
	}
	{
		map textures/urban_will2/will_marble_floor.tga
		tcmod scale .75 .75
		tcgen environment
		blendfunc gl_zero gl_src_color
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}


textures/superman/water_glass1
{
	qer_editorimage textures/superman/duck_pool2.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc gl_src_color gl_one
	}
	{
		map textures/superman/duck_pool2.tga
		blendfunc add
		tcMod scroll .0.05 -0.3
	}
	{
		map textures/superman/duck_pool2.tga
		blendfunc add
		tcMod scroll 0.05 -0.8
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

//shader taken from realworld_light
textures/superman/ceiling_light
{
	qer_editorimage textures/superman/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 1000

	{
		map textures/superman/ceiling_light1.tga
	}
}


textures/superman/flouresc_light
{
	qer_editorimage textures/superman/ceiling_light1.tga
	q3map_surfacelight 1000
	q3map_lightimage textures/realworld_light/flouresc.tga
	surfaceparm nolightmap

	{
		map textures/superman/white_light.jpg
		rgbGen identity
	}
}


textures/superman/portal_camera
{

	qer_editorimage textures/superman/security_monitor.tga
	q3map_lightimage textures/superman/ugly_green.jpg
	q3map_surfacelight 350
	portal
	surfaceparm nolightmap


	{
		map textures/superman/ugly_green.jpg
		blendFunc filter
		depthWrite
	}

	{
		map textures/superman/ugly_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting	
	}

	{
		map textures/superman/security_monitor.tga
		blendfunc blend
	}
}


textures/superman/dead_monitor
{

	qer_editorimage textures/superman/security_monitor.tga
	q3map_surfacelight 350
//	surfaceparm nolightmap

	{
		map textures/superman/ugly_green.jpg
		rgbgen identity
	}
	{
		map textures/superman/static.tga
		tcmod rotate 180
		blendfunc filter
	}
	{
		map textures/superman/static.tga
		tcmod scroll -2 -2
		blendfunc add
	}
	{
		map textures/superman/security_monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}



textures/superman/stoplight_red
{
	qer_editorimage textures/superman/streetlight_red.tga
	surfaceparm nolightmap

	{
		map textures/superman/streetlight_red.tga
		rgbgen identity
	}
}

textures/superman/stoplight_red_dim
{
	qer_editorimage textures/superman/streetlight_red.tga

	{
		map textures/superman/streetlight_red.tga
		rgbgen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/superman/stoplight_green
{
	qer_editorimage textures/superman/streetlight_green.tga
	surfaceparm nolightmap

	{
		map textures/superman/streetlight_green.tga
		rgbgen identity
	}
}


textures/superman/stoplight_green_dim
{
	qer_editorimage textures/superman/streetlight_green.tga

	{
		map textures/superman/streetlight_green.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/superman/stoplight_yellow
{
	qer_editorimage textures/superman/streetlight_yellow.tga
	surfaceparm nolightmap

	{
		map textures/superman/streetlight_yellow.tga
		rgbgen identity
	}
}


textures/superman/stoplight_yellow_dim
{
	qer_editorimage textures/superman/streetlight_yellow.tga

	{
		map textures/superman/streetlight_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/duck_funmap/duckpond_poster
{
	qer_editorimage textures/funmap/wily_duck_ad.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	nomipmaps
	{
		map textures/funmap/wily_duck_ad.tga
	}
}



textures/superman/blue_water1
{
	qer_editorimage textures/superman/blue_water1.tga
	surfaceparm water
	qer_nocarve
	qer_trans 0.3
	surfaceparm noimpact
	cull none
	{
		map textures/superman/blue_water1.tga
		blendfunc add
		tcmod turb 0 1 0 .1
	}
}


textures/superman/white_light
{
	qer_editorimage textures/superman/white_light.jpg
	q3map_surfacelight 5000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/superman/white_light.jpg
		rgbGen identity
	}
}


textures/superman/shiny_glass1
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}


textures/superman/duck_noimpact
{
	qer_editorimage textures/common/nolightmap.tga
        surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm nonsolid
}


